xenstore-utils_4.11.1+92-g6c33308a8d-2+b1_i386.deb


Advertisement

Description

xenstore-utils - Xenstore command line utilities for Xen

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename xenstore-utils_4.11.1+92-g6c33308a8d-2+b1_i386.deb
Package name xenstore-utils
Package version 4.11.1+92
Package release g6c33308a8d-2+b1
Package architecture i386
Package type deb
Category admin admin::virtualization implemented-in::c implemented-in::python role::program suite::openstack system::cloud system::virtual
Homepage https://xenproject.org/
License -
Maintainer Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Download size 42.68 KB
Installed size 237.00 KB

Alternatives

Package Version Architecture Repository
xenstore-utils_4.11.1+92-g6c33308a8d-2+b1_amd64.deb 4.11.1+92 amd64 Debian Main
xenstore-utils - - -

Requires

Name Value
libc6 >= 2.4
libxenstore3.0 >= 4.9.0

Replaces

Name Value
xen-utils-common <= 4.11.1~pre+1.733450b39b-1~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package xenstore-utils_4.11.1+92-g6c33308a8d-2+b1_i386.deb
Source Package xen

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install xenstore-utils deb package:
    # sudo apt-get install xenstore-utils

Files

Path
/usr/bin/xenstore
/usr/bin/xenstore-chmod
/usr/bin/xenstore-control
/usr/bin/xenstore-exists
/usr/bin/xenstore-list
/usr/bin/xenstore-ls
/usr/bin/xenstore-read
/usr/bin/xenstore-rm
/usr/bin/xenstore-watch
/usr/bin/xenstore-write
/usr/share/doc/xenstore-utils/NEWS.Debian.gz
/usr/share/doc/xenstore-utils/changelog.Debian.gz
/usr/share/doc/xenstore-utils/changelog.Debian.i386.gz
/usr/share/doc/xenstore-utils/changelog.gz
/usr/share/doc/xenstore-utils/copyright
/usr/share/lintian/overrides/xenstore-utils
/usr/share/man/man1/xenstore-chmod.1.gz
/usr/share/man/man1/xenstore-ls.1.gz
/usr/share/man/man1/xenstore.1.gz

Changelog

2019-06-22 - Hans van Kranenburg <hans@knorrie.org>
xen (4.11.1+92-g6c33308a8d-2) unstable; urgency=high
* Mention MDS and the need for updated microcode and disabling
hyper-threading in NEWS.
* Mention the ucode=scan option in the grub.d/xen documentation.
2019-06-18 - Hans van Kranenburg <hans@knorrie.org>
xen (4.11.1+92-g6c33308a8d-1) unstable; urgency=high
* Update to new upstream version 4.11.1+92-g6c33308a8d, which also
contains the following security fixes:
- Fix: grant table transfer issues on large hosts
XSA-284 (no CVE yet) (Closes: #929991)
- Fix: race with pass-through device hotplug
XSA-285 (no CVE yet) (Closes: #929998)
- Fix: x86: steal_page violates page_struct access discipline
XSA-287 (no CVE yet) (Closes: #930001)
- Fix: x86: Inconsistent PV IOMMU discipline
XSA-288 (no CVE yet) (Closes: #929994)
- Fix: missing preemption in x86 PV page table unvalidation
XSA-290 (no CVE yet) (Closes: #929996)
- Fix: x86/PV: page type reference counting issue with failed IOMMU update
XSA-291 (no CVE yet) (Closes: #929995)
- Fix: x86: insufficient TLB flushing when using PCID
XSA-292 (no CVE yet) (Closes: #929993)
- Fix: x86: PV kernel context switch corruption
XSA-293 (no CVE yet) (Closes: #929999)
- Fix: x86 shadow: Insufficient TLB flushing when using PCID
XSA-294 (no CVE yet) (Closes: #929992)
- Fix: Microarchitectural Data Sampling speculative side channel
XSA-297 CVE-2018-12126 CVE-2018-12127 CVE-2018-12130 CVE-2019-11091
(Closes: #929129)
* Note that the fixes for XSA-297 will only have effect when also loading
updated cpu microcode with MD_CLEAR functionality. When using the
intel-microcode package to include microcode in the dom0 initrd, it has to
be loaded by Xen. Please refer to the hypervisor command line
documentation about the 'ucode=scan' option.
* Fixes for XSA-295 "Unlimited Arm Atomics Operations" will be added in the
next upload.
2019-02-28 - Ian Jackson <ijackson@chiark.greenend.org.uk>
xen (4.11.1+26-g87f51bf366-3) unstable; urgency=medium
Minor useability improvements and fixes:
* bash-completion: also complete 'xen'  [Hans van Kranenburg]
* /etc/default/xen: Handle with ucf again, like in stretch.
Closes:#923401.  [Ian Jackson]
Build fix:
* Fix FTBFS when building only arch-indep binaries (eg
dpkg-buildpackage -A).  Was due to dh-exec bug wrt not-installed.
Closes:#923013.  [Hans van Kranenburg; report from Santiago Vila]
Documentation fix:
* grub.d/xen.cfg: dom0_mem max IS needed  [Hans van Kranenburg]
2019-02-22 - Ian Jackson <ijackson@chiark.greenend.org.uk>
xen (4.11.1+26-g87f51bf366-2) unstable; urgency=medium
* Packaging change: override spurious lintian warning about
fsimage.so rpath.

See Also

Package Description
xevil_2.02r2-10+b1_i386.deb A violent side-scrolling game for X
xfaces_3.3-29+b1_i386.deb Displays an image for each piece of mail in your mailbox
xfburn_0.5.5-2_i386.deb CD-burner application for Xfce Desktop Environment
xfce4-appfinder_4.14.0-1+b1_i386.deb Application finder for the Xfce4 desktop environment
xfce4-appmenu-plugin_0.7.3+dfsg1-1+b1_i386.deb Application Menu plugin for xfce4-panel
xfce4-battery-plugin_1.1.3-1_i386.deb battery monitor plugin for the Xfce4 panel
xfce4-clipman-plugin_1.4.3-2_i386.deb clipboard history plugin for Xfce panel
xfce4-clipman_1.4.3-2_i386.deb clipboard history utility
xfce4-cpufreq-plugin_1.2.1-1_i386.deb cpufreq information plugin for the Xfce4 panel
xfce4-cpugraph-plugin_1.1.0-1_i386.deb CPU load graph plugin for the Xfce4 panel
xfce4-datetime-plugin_0.8.0-1_i386.deb date and time plugin for the Xfce4 panel
xfce4-dev-tools_4.14.0-1_i386.deb Script to help building Xfce from git
xfce4-dict_0.8.3-1_i386.deb Dictionary plugin for Xfce4 panel
xfce4-diskperf-plugin_2.6.2-1_i386.deb disk performance display plugin for the Xfce4 panel
xfce4-equake-plugin_1.3.8.1-2+b1_i386.deb Xfce panel plugin which monitors earthquakes
Advertisement
Advertisement